
Infrastructure - Bug #1367

MetacatPoplulator inserts SystemMetadata document as a data document when create fails

2011-02-16 18:34 - Chad Berkley

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2011.10-Block.2   

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-02-16 18:45 - Chad Berkley

- Assignee set to Chris Jones

The metacatPopulator creates a document then sets the access to that document to public on line 206.  Something is failing in create which is

causing the SystemMetadata doc to get inserted as the object doc itself.  This needs to be fixed.  Also, if create fails in some way, the setAccess call

does not get made.  Create needs to be made an atomic call so that any failure results in no documents being inserted.

#2 - 2011-03-02 00:23 - Dave Vieglais

- Position set to 66

- Target version set to Sprint-2011.09-Block.2

- Position deleted (21)

#3 - 2011-03-03 17:42 - Chris Jones

- Status changed from New to In Progress

#4 - 2011-03-07 17:42 - Dave Vieglais

- Position set to 9

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

- Position deleted (66)

#5 - 2011-03-07 17:42 - Dave Vieglais

- Position deleted (9)

- Position changed from 1 to 169

- Position set to 1

#6 - 2011-03-09 18:28 - Chris Jones

- Status changed from In Progress to Closed

I've exercised MetacatPopulator and have loaded close to 2000 documents to my local metacat installation.  All documents that were loaded were the

correct type (i.e. an EML document coming from the source was loaded as the same EML into the target).  So, without being able to replicate the

issue, I'll set this to closed.
